> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy sổ lệnh theo Order ID

> Lấy một lệnh theo Order ID của tiểu khoản.



## OpenAPI

````yaml /vi/openapi/tcbs.v1.openapi.yaml get /aion/v1/accounts/{accountNo}/orders/{orderID}
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
tags:
  - name: authentication
    description: Xác thực và cấp token truy cập.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản, tài sản và hạn mức.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu chứng khoán và phái sinh.
    x-group: Dữ liệu thị trường
  - name: cash
    description: Giao dịch và thông tin tiền.
    x-group: Tiền
  - name: stock-orders
    description: Đặt, sửa, hủy và tra cứu lệnh cổ phiếu.
    x-group: Lệnh cổ phiếu
  - name: derivative-orders
    description: Đặt, sửa, hủy và tra cứu lệnh phái sinh.
    x-group: Lệnh phái sinh
paths:
  /aion/v1/accounts/{accountNo}/orders/{orderID}:
    get:
      tags:
        - stock-orders
      summary: Lấy sổ lệnh theo Order ID
      description: Lấy một lệnh theo Order ID của tiểu khoản.
      operationId: getAionAccountsAccountNoOrdersOrderId
      parameters:
        - name: accountNo
          in: path
          required: true
          description: Số tiểu khoản.
          schema:
            type: string
        - name: orderID
          in: path
          required: true
          description: Order ID.
          schema:
            type: string
      responses:
        '200':
          description: Phản hồi thành công
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: Mặc định = 'List'.
                  pageSize:
                    type: integer
                    format: int64
                    description: Kích thước trang.
                  pageIndex:
                    type: integer
                    format: int64
                    description: Mục lục trang.
                  totalCount:
                    type: integer
                    format: int64
                    description: Tổng số bản ghi.
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        orderID:
                          type: string
                          description: Số hiệu lệnh.
                        accountNo:
                          type: string
                          description: Số tiểu khoản.
                        symbol:
                          type: string
                          description: Mã chứng khoán.
                        execType:
                          type: string
                          description: Loại lệnh (NB/NS).
                        orderQtty:
                          type: number
                          format: double
                          description: Khối lượng đặt.
                        execQtty:
                          type: number
                          format: double
                          description: Khối lượng khớp.
                        priceType:
                          type: string
                          description: Loại giá.
                        limitPrice:
                          type: number
                          format: double
                          description: Giá đặt lệnh.
                        matchPrice:
                          type: number
                          format: double
                          description: Giá khớp trung bình.
                        orStatus:
                          type: string
                          description: >-
                            Trạng thái lệnh: 0 = Từ chối, 2 = Đã gửi, 3 = Đã
                            hủy, 4 = Đã khớp, 5 = Hết hiệu lực, 8 = Chờ gửi, 10
                            = Đã sửa, 11 = Đang gửi, 12 = Khớp hết, A = Đang
                            sửa, C = Đang hủy, S = Hoàn tất.
                        txdate:
                          type: string
                          description: Ngày đặt lệnh (RFC 3339).
                        txtime:
                          type: string
                          description: Giờ đặt lệnh.
              example:
                object: List
                pageSize: 10
                pageIndex: 1
                totalCount: 1
                data:
                  - orderID: '9202110200000060280'
                    accountNo: '0001170730'
                    symbol: HPG
                    execType: NB
                    orderQtty: 2500
                    execQtty: 0
                    priceType: LO
                    limitPrice: 25000
                    matchPrice: 0
                    orStatus: '11'
                    txdate: '2021-08-19T00:00:00.000+07:00'
                    txtime: '14:15:34'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    Unauthorized:
      description: Không xác thực — thiếu, sai hoặc không hợp lệ Bearer token.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.